Skip to navigation

List gross-to-net report

Returns one page of gross-to-net calculation rows for a payroll event, using an event id taken from the list returned by GET /gp/legal-entities/{legal_entity_id}/reports. Use it when you start from a payroll event and want JSON, use GET /gp/reports/{id}/gross_to_net/csv for a file export, or use GET /reports/payroll/cycles/{cycle_id}/gross-to-net when you start from a payroll cycle.

Token scopes: global-payroll:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Id of the gp payroll report.

Query parameters

currencystringOptional
Currency to be used in the report calculation.
limitdoubleOptional<=200
Maximum number of records to return.
offsetdoubleOptional

Offset/index of record for the next page of records to return.

Response

Successful operation.
datalist of maps from strings to objects

List of report rows (summary rows are filtered out). Each row contains dynamic column keys mapped to cell objects.

pageobject
Pagination metadata for the report rows.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error